## IdeVcsFileInfo IdeVcsFileInfo |

## Functions

IdeVcsFileInfo * | ide_vcs_file_info_new ()
GFile * | ide_vcs_file_info_get_file ()
IdeVcsFileStatus | ide_vcs_file_info_get_status ()
void | ide_vcs_file_info_set_status ()

## Properties

GFile * | file | Read / Write / Construct Only
IdeVcsFileStatus | status | Read / Write

## Types and Values

#define | IDE_TYPE_VCS_FILE_INFO
enum | IdeVcsFileStatus
struct | IdeVcsFileInfoClass
| IdeVcsFileInfo

## Object Hierarchy

        GEnum
        ╰── IdeVcsFileStatus
        GObject
        ╰── IdeVcsFileInfo

## Description

## Functions

### ide_vcs_file_info_new ()

    IdeVcsFileInfo *
    ide_vcs_file_info_new (GFile *file);

### ide_vcs_file_info_get_file ()

    GFile *
    ide_vcs_file_info_get_file (IdeVcsFileInfo *self);

Gets the file the IdeVcsFileInfo describes.

#### Parameters

self | a IdeVcsFileInfo |

#### Returns

a GFile.

[transfer none]

Since: 3.32

### ide_vcs_file_info_get_status ()

    IdeVcsFileStatus
    ide_vcs_file_info_get_status (IdeVcsFileInfo *self);

### ide_vcs_file_info_set_status ()

    void
    ide_vcs_file_info_set_status (IdeVcsFileInfo *self,
                                  IdeVcsFileStatus status);

## Types and Values

### IDE_TYPE_VCS_FILE_INFO

    #define IDE_TYPE_VCS_FILE_INFO (ide_vcs_file_info_get_type())

### enum IdeVcsFileStatus

#### Members

IDE_VCS_FILE_STATUS_IGNORED |  |
IDE_VCS_FILE_STATUS_UNCHANGED |  |
IDE_VCS_FILE_STATUS_UNTRACKED |  |
IDE_VCS_FILE_STATUS_ADDED |  |
IDE_VCS_FILE_STATUS_RENAMED |  |
IDE_VCS_FILE_STATUS_DELETED |  |
IDE_VCS_FILE_STATUS_CHANGED |  |

### struct IdeVcsFileInfoClass

    struct IdeVcsFileInfoClass {
      GObjectClass parent_class;
    };

### IdeVcsFileInfo

    typedef struct _IdeVcsFileInfo IdeVcsFileInfo;

## Property Details

### The `“file”` property

      “file”                     GFile *

The file within the working directory.

Owner: IdeVcsFileInfo

Flags: Read / Write / Construct Only

### The `“status”` property

      “status”                   IdeVcsFileStatus

The file status within the VCS.

Owner: IdeVcsFileInfo

Flags: Read / Write

Default value: IDE_VCS_FILE_STATUS_UNCHANGED